Bug 1205316

Summary: get_icon assertion failed: (info)
Product: [Fedora] Fedora Reporter: Sami Farin <hvtaifwkbgefbaei>
Component: network-manager-appletAssignee: Dan Williams <dcbw>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 22CC: dcbw, jklimes, lrintel
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: network-manager-applet-0.9.10.3-1.git20150511.36c8684.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-05-17 06:40:14 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Sami Farin 2015-03-24 16:37:54 UTC
Description of problem:
#0  0x00007f6a4a66b8d7 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
#1  0x00007f6a4a66d53a in __GI_abort () at abort.c:89
#2  0x00007f6a4ac94f15 in g_assertion_message (domain=domain@entry=0x43b83a "nm-applet", file=file@entry=0x4418e8 "applet-device-broadband.c", line=line@entry=636, func=func@entry=0x441ab8 <__FUNCTION__.65942> "get_icon", message=message@entry=0x1d3c7a0 "assertion failed: (info)") at gtestutils.c:2356
#3  0x00007f6a4ac94faa in g_assertion_message_expr (domain=domain@entry=0x43b83a "nm-applet", file=file@entry=0x4418e8 "applet-device-broadband.c", line=line@entry=636, func=func@entry=0x441ab8 <__FUNCTION__.65942> "get_icon", expr=expr@entry=0x43b908 "info") at gtestutils.c:2371
#4  0x000000000042f0bf in get_icon (device=0x1eb3360, state=NM_DEVICE_STATE_PREPARE, connection=0x1bd7e10, out_pixbuf=0x7ffcfe65aef8, out_icon_name=0x7ffcfe65af10, tip=0x7ffcfe65af00, applet=0x1bc4000) at applet-device-broadband.c:636
#5  0x000000000041b0ae in applet_update_icon (out_tip=0x7ffcfe65af00, out_icon_name=<synthetic pointer>, out_pixbuf=0x7ffcfe65aef8, applet=0x1bc4000)
    at applet.c:2853
#6  0x000000000041b0ae in applet_update_icon (user_data=<optimized out>) at applet.c:2952
#7  0x00007f6a4ac6503a in g_main_context_dispatch (context=0x1b89630) at gmain.c:3122
#8  0x00007f6a4ac6503a in g_main_context_dispatch (context=context@entry=0x1b89630) at gmain.c:3737
#9  0x00007f6a4ac653e0 in g_main_context_iterate (context=0x1b89630, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3808
#10 0x00007f6a4ac65702 in g_main_loop_run (loop=0x1b65790) at gmain.c:4002
#11 0x0000000000412c83 in main (argc=1, argv=0x7ffcfe65b188) at main.c:106


Version-Release number of selected component (if applicable):
1.0.0-1

How reproducible:
not sure

Steps to Reproduce:
1. start ModemManager and play with nm-applet
2.
3.

Actual results:
abort

Expected results:
no abort

Additional info:

Comment 1 Jirka Klimes 2015-03-25 15:33:06 UTC
We should not assert "info" in get_icon(), just return. Please see upstream branch jk/applet-abort-rh1205316.

Comment 2 Lubomir Rintel 2015-04-02 13:41:18 UTC
Looks good to me.

Comment 3 Dan Williams 2015-04-02 21:43:30 UTC
LGTM

Comment 4 Jirka Klimes 2015-04-07 07:59:25 UTC
Pushed to upstream master:
98dc7a7 applet: do not crash when ModemManager is not available (rh #1199288)
ef2d9f5 applet: do not crash when getting icon for unavailable modem (rh #1205316)

and also to nma-1-0 and nma-0-9-10.

Comment 5 Fedora Update System 2015-05-11 08:18:42 UTC
network-manager-applet-0.9.10.3-1.git20150511.36c8684.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/network-manager-applet-0.9.10.3-1.git20150511.36c8684.fc21

Comment 6 Fedora Update System 2015-05-12 20:38:47 UTC
Package network-manager-applet-0.9.10.3-1.git20150511.36c8684.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing network-manager-applet-0.9.10.3-1.git20150511.36c8684.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8024/network-manager-applet-0.9.10.3-1.git20150511.36c8684.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-05-17 06:40:14 UTC
network-manager-applet-0.9.10.3-1.git20150511.36c8684.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.